Subject: Re: Natsemi DP83815 driver spaming

From: Rafał Bilski <[email-masked]>
Date: Thu, 03 May 2007 08:33:17 +0200

>> What about module option?
> 
> That would work, though you crossed in the post with me writing a patch
> adding a sysfs file; I merged the two for overkill (below).  I also have
> a patch which changes the log message for the workaround so that it is
> displayed by default in order to make this easier to diagnose.

Applied. I set default value to 0. Flashed. However
> +	if (!NATSEMI_CREATE_FILE(pdev, dspcfg_workaround))
> +		goto err_create_file;
is going to err_create_file. Without these lines drivers works fine.

Rafał

----------------------------------------------------------------------
NIE KUPUJ!!!
...zanim nie porownasz cen >> http://link.interia.pl/f1a5e